Package twisted :: Package web :: Module domhelpers |
[show private | hide private]
[frames | no frames]

## Module twisted.web.domhelpers

Classes
`RawText` | This is an evil and horrible speed hack.

Exceptions
`NodeLookupError` |

Function Summary
| ``clearNode`(node)` Remove all children from the given node.
| `findElements(parent, matcher)`
| `findElementsWithAttribute(parent, attribute, value)`
| `findElementsWithAttributeShallow(parent, attribute)`
| `findNodes(parent, matcher, accum)`
| `findNodesNamed(parent, name)`
| `findNodesShallow(parent, matcher, accum)`
str | ``gatherTextNodes`(iNode)` Visit each child node and collect its text data, if any, into a string.
| ``get`(node, nodeId)` Get a node with the specified `nodeId` as any of the `class`, `id` or `pattern`attributes.
| ``getAndClear`(node, nodeId)` Get a node with the specified `nodeId` as any of the `class`, `id` or `pattern`attributes.
| ``getIfExists`(node, nodeId)` Get a node with the specified `nodeId` as any of the `class`, `id` or `pattern`attributes.
| `getNodeText(node)`
| `getParents(node)`
| ``locateNodes`(nodeList, key, value, noNesting)` Find subnodes in the given node where the given attribute has the given value.
| ``substitute`(request, node, subs)` Look through the given node's children for strings, and attempt to do string substitution with the given parameter.
| `superAppendAttribute(node, key, value)`
| `superPrependAttribute(node, key, value)`
| `superSetAttribute(node, key, value)`
| `writeNodeData(node, oldio)`

Variable Summary
`_Feature` | `nested_scopes`

Function Details

### clearNode(node) Remove all children from the given node.

### gatherTextNodes(iNode) Visit each child node and collect its text data, if any, into a string. For example:
       >>> doc=microdom.parseString('<a>1<b>2<c>3</c>4</b></a>')
       >>> gatherTextNodes(doc.documentElement)
       '1234'
Returns: the gathered nodes as a single string (type=str)

### get(node, nodeId) Get a node with the specified `nodeId` as any of the `class`, `id` or `pattern` attributes. If there is no such node, raise `NodeLookupError`.

### getAndClear(node, nodeId) Get a node with the specified `nodeId` as any of the `class`, `id` or `pattern` attributes. If there is no such node, raise `NodeLookupError`. Remove all child nodes before returning.

### getIfExists(node, nodeId) Get a node with the specified `nodeId` as any of the `class`, `id` or `pattern` attributes. If there is no such node, return `None`.

### locateNodes(nodeList, key, value, noNesting=1) Find subnodes in the given node where the given attribute has the given value.

### substitute(request, node, subs) Look through the given node's children for strings, and attempt to do string substitution with the given parameter.

Variable Details

    ### nested_scopes Type: `_Feature` Value:
        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

Generated by Epydoc 1.1 on Thu May 8 13:16:57 2003 | http://epydoc.sf.net